Bug 166773 - ntp %post scriptlet fails on upgrade, if ntpd is disabled.
ntp %post scriptlet fails on upgrade, if ntpd is disabled.
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: ntp (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Miroslav Lichvar
Brian Brock
:
Depends On:
Blocks: 181409
  Show dependency treegraph
 
Reported: 2005-08-25 11:34 EDT by Charlie Brady
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version: RHSA-2006-0393
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-10 14:25:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ntp-4.2.0.a.20050816-3.src.rpm (2.40 MB, patch)
2005-10-31 05:44 EST, Petr Raszyk
no flags Details | Diff

  None (edit)
Description Charlie Brady 2005-08-25 11:34:53 EDT
This was reportedly fixed for FC1, but persists in RHEL4. See:

https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=110321

To fix, change:

    # start ntp if it was running previously
    [ $wasrunning -eq 0 ] && service ntpd start > /dev/null 2>&1

to:

    # start ntp if it was running previously
    if [ $wasrunning -eq 0 ]; then service ntpd start > /dev/null 2>&1 ; fi

(or do something else so that exit status of script is 0).
Comment 1 Petr Raszyk 2005-10-31 05:41:41 EST
Fixed.



 # start ntp if it was running previously
 [ $wasrunning -eq 0 ] && service ntpd start > /dev/null 2>&1 || :
Comment 2 Petr Raszyk 2005-10-31 05:44:06 EST
Created attachment 120556 [details]
ntp-4.2.0.a.20050816-3.src.rpm
Comment 8 Red Hat Bugzilla 2006-08-10 14:25:08 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0393.html

Note You need to log in before you can comment on or make changes to this bug.